# 启动电缆的顺序 ![](https://docs.equinix.com/zh-Hans/assets/images/OrderToRunJumperCables-57f36cbd26bbbb5940afaaf69ba32c3e.png) ## 先决条件[​](#先决条件 "直接链接至先决条件") 1. 您必须具有订购权限,才能获取Smart Hands详细信息`Smart Hands`。 2. 验证-提交您的用户凭据,客户端ID和客户端机密以进行OAuth2验证。有关如何致电OAuth API以验证和验证您的凭据的说明,请参阅[API验证](https://docs.equinix.com/zh-Hans/equinix-api/api-authentication.md)。 3. 获取Smart Hands类型-向端点发送`GET`获取所有Smart Hands订单类型的请求[`/v1/orders/smarthands/types`](https://docs.equinix.com/zh-Hans/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)。如果您已经知道Smart Hands订单类型,可以跳过此步骤。 4. 获取位置信息-向端点发送`GET`请求[`/v1/orders/smarthands/locations`](https://docs.equinix.com/zh-Hans/api-catalog/smarthandsv1/smarthands/getlocation.md),以检索您有权访问的可用IBX位置。如果您已知道网点信息,可以跳过此步骤。 ## 订购运行跳线[​](#订购运行跳线 "直接链接至订购运行跳线") 要订购由Equinix IBX技术人员在设备之间布设跳线电缆,请向端点发送`POST`请求[`/v1/orders/smarthands/runJumperCable`](https://docs.equinix.com/zh-Hans/api-catalog/smarthandsv1/smarthands/handlesmarthandrunjumpercableorder.md)。在请求正文中指定您的订单详情。使用可选`attachments`对象包括技术人员的其他详细信息。 > **注意** > > 创建带有附件的订单之前,请致电[`Attachments File`](https://docs.equinix.com/zh-Hans/api-catalog/attachmentsv1/attachments/createattachment.md)端点。 ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/runJumperCable" -H "content-type: application/json" -H "authorization: Bearer -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "quantity": "12+",     "provideTxRxLightLevels": true,     "scopeOfWork": "Refer to attachment for cable details.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb4a673-6308-456e-8f83-f745501d60ba",       "name": "RunCablesInstructions.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "janesnow"     }   ] }' ``` 有关主体参数和描述的完整列表,请参阅[API参考手册](https://docs.equinix.com/zh-Hans/api-catalog/smarthandsv1/smarthands/handlesmarthandrunjumpercableorder.md)。 示例回答: ``` {   "OrderNumber": "1-457809872838" } ``` 响应表明订单已成功,并返回订单号。